%define		php_name	php%{?php_suffix}
%define		modname proctitle
Summary:	Change current process' name
Summary(pl.UTF-8):	Zmiana nazwy bieżącego procesu
Name:		%{php_name}-pecl-%{modname}
Version:	0.1.2
Release:	7
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	5ebf52449f50013383f052271b0dc21a
URL:		http://pecl.php.net/package/proctitle/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-proctitle < 0.1.2-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows changing the current process'. This is useful
when using pcntl_fork() to identify running processes in process list.

%description -l pl.UTF-8
Rozszerzenie to pozwala na zmianę nazwy bieżącego procesu. Jest to
szczególnie przydatne do identyfikacji procesów na liście procesów w
przypadku korzystania z pcntl_fork().

%prep
%setup -qc
mv %{modname}-%{version}/* .

cat <<'EOF' > %{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -D -p modules/proctitle.so $RPM_BUILD_ROOT%{php_extensiondir}/%{modname}.so
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cp -p %{modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Apr 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-proctitle.git;a=log;h=auto/th/php-pecl-proctitle-0.1.2-7

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> ab68192
- obsolete old php name
- release 7 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> dec3260
- php 5.5 rebuild
- release 6 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 1f86393
- provide php(extname) to really be supporting multiple php versions

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 6b44cb0
- release 4 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 2678bd6
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> e3bdbdb
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 74092e0
- release 2 (by relup.sh)

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 21e814e
- updated to 0.1.2

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fad2e0f
- release 4

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> e105e74
- release 3

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> 33fe7b5
- there was no pear package

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> ad25898
- release 2

* Tue Feb 03 2009 Jakub Bogusz <qboosh@pld-linux.org> da75708
- typo

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> 645b1f4
- updated to 0.1.1 (official pecl release)
- pl summary/description
- cosmetics

* Wed Jun 25 2008 Elan Ruusamäe <glen@pld-linux.org> 63897ae
- release 2

* Wed Jun 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 88c2fa4
- fix build

* Wed Jun 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ef0cd4d
- initial

